## samba 4.13.13

=== debian/changelog ===
samba (2:4.13.13-1A~5.0.0.202205041854) ucs5-0-0-0; urgency=low

  * UCS auto build. The following patches have been applied to the original source package
    00_SAMBA_VERSION_VENDOR_SUFFIX
    00_waf_python2
    01_test_univention_s4search_in_postinst
    02_bug43192_workaround_for_winbind_postinst
    05_dont_install_systemd_service_files
    08_configure_options
    09_use_internal_heimdal
    11_redirect-init-script-messages
    14_samba-ad-dc_autostart
    14_samba-ad-dc_coredump_limit
    15_samba4_stop
    17_pam_auth
    17_samba-common_smb.conf
    18_loadparm_debug_level
    18_samba_smb.conf
    20_dont_search_for_cn=system-part1
    20_dont_search_for_cn=system-part2
    32_dlz_bind9_zone_prefixes
    33_dlz_bind9_disable_application_partitions
    34_dns_update_tombstoned
    34_samba_dns_tomstone
    35_allow_dns_update_for_samaccountname
    40_samba3upgrade
    42_cn_groups
    44_upgrade_debug
    45_lowerbound
    50_skip_strict_CVE_2013_4476_check
    56_init_sam_from_ldap_password_history
    60_ldb_control_bypass_samaccountname_ldap_check
    61_bug52979-log-fill-at-debug-level-1
    75_try-other-methods-if-utimensat-is-not-supported-ret
    90_bug45982-samba-tool-dbcheck-continue-if-modify-fails
    91_DS_ROLE_BACKUP_DC
    91_net_rpc_join_machinepass
    92_allow_missing_des-cbc
    92_expose_provision_control_over_LDAPI
    92_higher_loglevel_for_IRPC_callback_timeout
    93_create_file_unixpath_inherit_sgid
    93_expose_control_replicated_update_oid
    95_dnsupdate
    96_dnsupdate_exclude_interfaces
    96_dnsupdate_exclude_interfaces
    96_dnsupdate_list_skip_msdcs
    96_only_warn_about_winbind_separator
    97-Bug-44305-remove-netlogon-from-samba-tool-ntacl-sysv
    97_Bug-38217-robust-sysvolreset
    97_Bug-44282-fix-LA-vs-DA-in-samba-tool-ntacl-syvolcheck
    97_Bug-46643-add-sysvolcheck-option-mask-msad-differences
    97_Bug-47583-make-samba-tool-ntacl-sysvolcheck-show-the-file-path-in-error-message
    97_add_option_auth_methods
    97_bug29665
    97_bug33616-samba-tool-dbcheck-handle-name-conflict-objects
    97_bug34431
    97_bug41021_dcerpc_timeout
    98_CVE-2016-2124-v4-13-metze02
    98_CVE-2020-25717+25718+25719+25721+25722-security-2021-11-v4.13-v13-bug14725.patches-1
    98_CVE-2020-25717+25718+25719+25721+25722-security-2021-11-v4.13-v13-bug14725.patches-2
    98_CVE-2020-25717+25718+25719+25721+25722-security-2021-11-v4.13-v13-bug14725.patches-3
    98_CVE-2020-25727_idmap_nss_verify_sid_without_map_script
    98_CVE-2021-23192-only-4.13-v2
    98_CVE-2021-23192-only-4.13-v2
    98_CVE-2021-3738-dsdb-crash-4.13-v03
    98_CVE-2021-43566
    98_CVE-2021-44142-v4.13-bug-14914
    98_CVE-2022-0336-v4.13-bug-14950
    98_bug37687
    98_bug46745_allow_dummy_hash_instead_of_des_cbc_md5
    98_bug49747
    98_bug53101-option-authentication-file
    98_bug54278_fix_paged_results_segfault
    99_s3-auth_add_auth_methods_for_netlogon
    99_s4-auth_add_auth_methods_for_netlogon

 -- Univention builddaemon <buildd@univention.de>  Wed, 04 May 2022 18:54:51 +0200

samba (2:4.13.13-1) unstable; urgency=medium

  * New upstream release

 -- Arvid Requate <requate@univention.de>  Wed, 03 Nov 2021 20:55:46 +0100

samba (2:4.13.7-1) unstable; urgency=medium

  * New upstream release

 -- Arvid Requate <requate@univention.de>  Fri, 26 Mar 2021 10:34:37 +0100

samba (2:4.13.4-1) unstable; urgency=medium

  * New upstream release

 -- Arvid Requate <requate@univention.de>  Tue, 26 Jan 2021 15:00:02 +0100

samba (2:4.13.0-1) unstable; urgency=medium

  * New upstream release

 -- Arvid Requate <requate@univention.de>  Tue, 20 Oct 2020 13:46:20 +0200

samba (2:4.10.18-1) unstable; urgency=medium

  * New upstream release

 -- Erik Damrose <damrose@univention.de>  Fri, 09 Oct 2020 11:49:49 +0200

samba (2:4.10.1-1) unstable; urgency=medium

  * New upstream release

 -- Arvid Requate <requate@univention.de>  Wed, 03 Apr 2019 12:52:09 +0200

samba (2:4.10.0-1) unstable; urgency=medium

  * New upstream release

 -- Arvid Requate <requate@univention.de>  Thu, 21 Mar 2019 11:51:17 +0100

samba (2:4.10.0-1~rc2) unstable; urgency=medium

  * New upstream release

 -- Arvid Requate <requate@univention.de>  Mon, 11 Feb 2019 19:26:37 +0100

samba (2:4.9.3-1) unstable; urgency=medium

  * New upstream release

 -- Arvid Requate <requate@univention.de>  Wed, 12 Dec 2018 18:33:50 +0100

samba (2:4.9.1-1) unstable; urgency=medium

  * New upstream release

 -- Arvid Requate <requate@univention.de>  Mon, 29 Oct 2018 17:58:23 +0100

samba (2:4.7.8-1) unstable; urgency=medium

  * New upstream release

 -- Arvid Requate <requate@univention.de>  Wed, 01 Aug 2018 10:18:53 +0200

samba (2:4.7.4-1) unstable; urgency=low

  * New upstream release

 -- Arvid Requate <requate@univention.de>  Tue, 02 Jan 2018 22:11:30 +0100
